# Class GTK2.Assistant

Inheritance graph

Description

  Properties:

  int complete GDK2.Pixbuf header-image GTK2.AssistantPageType page-type GDK2.Pixbuf sidebar-image string title

  Style properties:

  int content-padding int header-padding

  Signals: apply

  cancel

  close

  prepare A GTK2.Assistant is a widget used to represent a generally complex operation splitted in several steps, guiding the user through its pages and controlling the page flow to collect the necessary data.

Inherit Window

  `inherit GTK2.Window : Window`

Method create

  `GTK2.Assistant GTK2.Assistant(`mapping`|`void` `props`)`

Description

  Create a new assistant.